Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class ReflectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.JMException
                  javax.management.ReflectionException

All Implemented Interfaces:
  Serializable

    public class ReflectionException

extends JMException

Represents exceptions thrown in the MBean server when using the java.lang.reflect classes to invoke methods on MBeans. It "wraps" the actual java.lang.Exception thrown.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`ReflectionException(Exception e)` Creates a `ReflectionException` that wraps the actual `java.lang.Exception`.
`ReflectionException(Exception e, String message)` Creates a `ReflectionException` that wraps the actual `java.lang.Exception` with a detail message.

Method Summary
`Throwable` | `getCause()` Returns the actual `Exception` thrown.
`Exception` | `getTargetException()` Returns the actual `Exception` thrown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReflectionException

    public ReflectionException(Exception e)

  Creates a `ReflectionException` that wraps the actual `java.lang.Exception`.

  Parameters:
    `e` - the wrapped exception.

### ReflectionException

    public ReflectionException(Exception e,
                               String message)

  Creates a `ReflectionException` that wraps the actual `java.lang.Exception` with a detail message.

  Parameters:
    `e` - the wrapped exception.
    `message` - the detail message.

Method Detail

### getTargetException

    public Exception getTargetException()

  Returns the actual `Exception` thrown.

  Returns:
    the wrapped `Exception`.

### getCause

    public Throwable getCause()

  Returns the actual `Exception` thrown.

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the wrapped `Exception`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.